[Xfce4-commits] <xfce4-teatime-plugin:master> Potfile cleanup.

Nick Schermer noreply at xfce.org
Sat Jul 13 21:20:01 CEST 2013


Updating branch refs/heads/master
         to abfafd37c22e3ad9e7fa401e738125ffb2e4438c (commit)
       from e3a35aaa48eeb94f3625af9401a9dbe288357941 (commit)

commit abfafd37c22e3ad9e7fa401e738125ffb2e4438c
Author: Nick Schermer <nick at xfce.org>
Date:   Sat Jul 13 21:19:40 2013 +0200

    Potfile cleanup.

 autogen.sh                      |  185 ++++++---------------------------------
 configure.in => configure.ac.in |    2 +-
 po/ChangeLog                    |  141 -----------------------------
 po/LINGUAS                      |    2 -
 po/teatime-plugin.pot           |  102 ---------------------
 stamp-h.in                      |    1 -
 6 files changed, 30 insertions(+), 403 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 8fe1de8..b5875b6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,159 +1,32 @@
 #!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-DIE=0
-
-if [ -n "$GNOME2_DIR" ]; then
-	ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
-	LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
-	PATH="$GNOME2_DIR/bin:$PATH"
-	export PATH
-	export LD_LIBRARY_PATH
-fi
-
-(test -f $srcdir/configure.in) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level package directory"
-    exit 1
-}
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`autoconf' installed."
-  echo "Download the appropriate package for your distribution,"
-  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-}
-
-(grep "^AC_PROG_INTLTOOL" $srcdir/configure.in >/dev/null) && {
-  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo 
-    echo "**Error**: You must have \`intltool' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
-}
-
-(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
-  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`xml-i18n-toolize' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
-}
-
-(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
-  (libtool --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`libtool' installed."
-    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-    DIE=1
-  }
-}
-
-(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.in >/dev/null) && {
-  (grep "sed.*POTFILES" $srcdir/configure.in) > /dev/null || \
-  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`glib' installed."
-    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
-    DIE=1
-  }
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`automake' installed."
-  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-  NO_AUTOMAKE=yes
-}
-
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
-  echo "installed doesn't appear recent enough."
-  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-}
-
-if test "$DIE" -eq 1; then
+#
+# vi:set et ai sw=2 sts=2 ts=2: */
+#-
+# Copyright (c) Xfce Development Team
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+(type xdt-autogen) >/dev/null 2>&1 || {
+  cat >&2 <<EOF
+autogen.sh: You don't seem to have the Xfce development tools installed on
+            your system, which are required to build this software.
+            Please install the xfce4-dev-tools package first, it is available
+            from http://www.xfce.org/.
+EOF
   exit 1
-fi
-
-if test -z "$*"; then
-  echo "**Warning**: I am going to run \`configure' with no arguments."
-  echo "If you wish to pass any to it, please specify them on the"
-  echo \`$0\'" command line."
-  echo
-fi
-
-case $CC in
-xlc )
-  am_opt=--include-deps;;
-esac
-
-for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.in -print`
-do 
-  dr=`dirname $coin`
-  if test -f $dr/NO-AUTO-GEN; then
-    echo skipping $dr -- flagged as no auto-gen
-  else
-    echo processing $dr
-    ( cd $dr
-
-      aclocalinclude="$ACLOCAL_FLAGS"
-
-      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
-	echo "Creating $dr/aclocal.m4 ..."
-	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
-	echo "Running glib-gettextize...  Ignore non-fatal messages."
-	echo "no" | glib-gettextize --force --copy
-	echo "Making $dr/aclocal.m4 writable ..."
-	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
-      fi
-      if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
-        echo "Running intltoolize..."
-	intltoolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
-        echo "Running xml-i18n-toolize..."
-	xml-i18n-toolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
-	if test -z "$NO_LIBTOOLIZE" ; then 
-	  echo "Running libtoolize..."
-	  libtoolize --force --copy
-	fi
-      fi
-      echo "Running aclocal $aclocalinclude ..."
-      aclocal $aclocalinclude
-      if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
-	echo "Running autoheader..."
-	autoheader
-      fi
-      echo "Running automake --gnu $am_opt ..."
-      automake --add-missing --gnu $am_opt
-      echo "Running autoconf ..."
-      autoconf
-    )
-  fi
-done
-
-conf_flags="--enable-maintainer-mode"
+}
 
-if test x$NOCONFIGURE = x; then
-  echo Running $srcdir/configure $conf_flags "$@" ...
-  $srcdir/configure $conf_flags "$@" \
-  && echo Now type \`make\' to compile. || exit 1
-else
-  echo Skipping configure process.
-fi
+XDT_AUTOGEN_REQUIRED_VERSION="4.7.2" exec xdt-autogen $@
diff --git a/configure.in b/configure.ac.in
similarity index 96%
rename from configure.in
rename to configure.ac.in
index c2a001d..9e3748b 100644
--- a/configure.in
+++ b/configure.ac.in
@@ -20,7 +20,7 @@ AC_SUBST(GETTEXT_PACKAGE)
 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Gettext package.])
 
 dnl Add the languages which your application supports here.
-ALL_LINGUAS="cs de pl"
+ALL_LINGUAS="@LINGUAS@"
 AM_GLIB_GNU_GETTEXT
 
 AC_OUTPUT([
diff --git a/po/ChangeLog b/po/ChangeLog
deleted file mode 100644
index 3dafecb..0000000
--- a/po/ChangeLog
+++ /dev/null
@@ -1,141 +0,0 @@
-2009-08-08  Mike Massonnet <mmassonnet at xfce.org>
-
-	* ast.po: Asturian translation added (Marcos Alvarez Costales)
-
-2009-06-15  Mike Massonnet <mmassonnet at xfce.org>
-
-	* zh_CN.po: Simplified Chinese update (Hunt Xu)
-
-2009-05-29  Mike Massonnet <mmassonnet at xfce.org>
-
-	* ur_PK.po: Urdu Pakistan translation update (Muhammad Ali Makki)
-	* ur.po: Urdu translation update (Muhammad Ali Makki)
-
-2009-05-11  Mike Massonnet <mmassonnet at xfce.org>
-
-	* zh_CN.po: Simplified Chinese translation update (Hunt Xu)
-
-2009-04-16  Mike Massonnet <mmassonnet at xfce.org>
-
-	* gl.po: Galician translation update (Leandro Regueiro)
-
-2009-03-29  Maximilian Schleiss <maximilian at xfce.org>
-
-	* it.po, LINGUAS: Italian translation added (Cristian Marchi)
-
-2009-03-14  Maximilian Schleiss <maximilian at xfce.org>
-
-	* gl.po: Galician translation update (Leandro Regueiro)
-
-2009-03-05  Mike Massonnet <mmassonnet at xfce.org>
-
-	* pt.po: Renamed pt_PT.po to pt.po (bug #4574)
-
-2009-02-22  Mike Massonnet <mmassonnet at xfce.org>
-
-	* es.po: Add Spanish translation (Abel Martín)
-
-2009-02-09  Alexander Toresson <eulex at xfce.org>
-
-	* sv.po: Swedish translation update (Daniel Nylander)
-
-2009-01-26  Maximilian Schleiss <maximilian at xfce.org>
-
-	* tr.po: turkish translation update (Samed Beyribey)
-
-2009-01-18  Maximilian Schleiss <maximilian at xfce.org>
-
-	* ja.po, LINGUAS: Japanese translation added (Nobuhiro Iwamatsu)
-	* tr.po: turkish translation update (Samed Beyribey)
-
-2008-12-20  Alexander Toresson <eulex at xfce.org>
-
-	* sv.po, LINGUAS: Swedish translation added (Daniel Nylander)
-
-2008-11-28  Maximilian Schleiss <maximilian at xfce.org>
-
-	* uk.po; LINGUAS: Ukrainian translation added (Dmitry Nikitin)
-
-2008-11-17  Eren Türkay <erenturkay at xfce.org>
-
-	* tr.po: Turkish translation update (Turkish translation team)
-
-2008-11-09  Maximilian Schleiss <maximilian at xfce.org>
-
-	* sq.po: Albanian translation update (Besnik Bleta)
-
-2008-10-22 Lars Nielsen <lars at mit-web.dk>
-
-	* da.po: updated danish translation
-
-2008-07-15 Mohamed Magdy <alnokta at xfce.org>
-
-        * ar.po: Add Arabic translation
-
-2008-06-26  Maximilian Schleiss <maximilian at xfce.org>
-
-	* gl.po, LINGUAS: Galician translation added (Leandro Regueiro)
-
-2008-06-25  Maximilian Schleiss <maximilian at xfce.org>
-
-	* id.po, LINGUAS: Indonesian translation added (Andhika Padmawan)
-
-2008-05-27  Mike Massonnet <mmassonnet at xfce.org>
-
-	* da.po, LINGUAS: Add Danish translation (Jens Hyllegaard)
-
-2007-12-19	Maximilian Schleiss <maximilian at xfce.org>
-
-	* de.po: German translation update
-	by Fabian Nowak <timystery at arcor.de>
-
-2007-11-18	Maximilian Schleiss <maximilian at xfce.org>
-
-	* lv.po: Latvian translation added
-	by Rihards Priedītis <rprieditis at inbox.lv>
-
-2007-11-15	Mike Massonnet <mmassonnet at xfce.org>
-
-	* ur.po: Update translation by Muhammad Ali Makki <makki.ma at gmail.com>
-	* pk.po, ur.po: Rename pk.po to ur.po.
-
-2007-10-28	Mike Massonnet <mmassonnet at xfce.org>
-
-	* pk.po: Add new translation by محمد علي المكي <makki.ma at gmail.com>
-
-2007-09-07  Og Maciel <ogmaciel at gnome.org>
-
-	* pt_BR.po: Brazilian Protuguese translation added
-	by Vladimir Melo <vladimirmelo at foresightlinux.org>
-
-2007-07-08  Maximilian Schleiss <maximilian at xfce.org>
-
-	* pt_PT.po: European Protuguese translation added
-	by Nuno Miguel <nunis at netcabo.pt>
-
-2007-03-31  Pau Rul-lan Ferragut <paurullan at bulma.net>
-
-  * gb.po: British translation by Jeff Bailes <thepizzaking at gmail.com>
-
-2007-02-02  Maximilian Schleiss <maximilian at xfce.org>
-
-	* fr.po: Added the Albanian translation by
-	Besnik Bleta <besnik at programeshqip.org>
-
-2006-11-05  Pau Rul-lan Ferragut <paurullan at bulma.net>
-
-	 * fr.po: Added French translations by
-	 Gerald Barre <g.barre at free.fr>
-
-2006-09-23  Jean-François Wauthy <pollux at xfce.org>
-
-	* de.po: Add German translations by Frank Lanitz <linux at partysoke.de>
-
-2006-09-03  Jean-François Wauthy <pollux at xfce.org>
-
-	* pl.po: Add Polish translations
-
-2006-08-27  Jean-François Wauthy <pollux at xfce.org>
-
-	* cs.po: Add Czech translations
-
diff --git a/po/LINGUAS b/po/LINGUAS
deleted file mode 100644
index 8737471..0000000
--- a/po/LINGUAS
+++ /dev/null
@@ -1,2 +0,0 @@
-# set of available languages (in alphabetic order)
-ar ast ca cs da de en_GB es fr gl id it ja lv pl pt_BR pt sv tr uk ur ur_PK zh_CN
diff --git a/po/teatime-plugin.pot b/po/teatime-plugin.pot
deleted file mode 100644
index d5a9122..0000000
--- a/po/teatime-plugin.pot
+++ /dev/null
@@ -1,102 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
-#
-#, fuzzy
-msgid ""
-msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
-"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2006-09-10 21:29+0200\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL at ADDRESS>\n"
-"Language-Team: LANGUAGE <LL at li.org>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=CHARSET\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#: ../src/interface.c:69
-msgid "Edit properties"
-msgstr ""
-
-#: ../src/interface.c:75
-msgid "<b>Xfteatime</b>"
-msgstr ""
-
-#: ../src/interface.c:103
-msgid "Tea can"
-msgstr ""
-
-#: ../src/interface.c:109
-msgid "Coffee can"
-msgstr ""
-
-#: ../src/interface.c:115
-msgid "Stove"
-msgstr ""
-
-#: ../src/interface.c:128
-msgid "/usr/share/icons/image.png"
-msgstr ""
-
-#: ../src/interface.c:142
-msgid "<b>Icon image</b>"
-msgstr ""
-
-#: ../src/interface.c:168
-msgid "Just a minute, please (1 minute)"
-msgstr ""
-
-#: ../src/interface.c:169
-msgid "Assam tea (2 minutes)"
-msgstr ""
-
-#: ../src/interface.c:170
-msgid "Coffee (5 minutes)"
-msgstr ""
-
-#: ../src/interface.c:171
-msgid "Italian noodles (10 minutes)"
-msgstr ""
-
-#: ../src/interface.c:172
-msgid "Pizza (12 minutes)"
-msgstr ""
-
-#: ../src/interface.c:173
-msgid "Turkey (2 hours)"
-msgstr ""
-
-#: ../src/interface.c:175
-msgid "after"
-msgstr ""
-
-#: ../src/interface.c:184
-msgid "seconds"
-msgstr ""
-
-#: ../src/interface.c:192
-msgid "per"
-msgstr ""
-
-#: ../src/interface.c:196
-msgid "System bell"
-msgstr ""
-
-#: ../src/interface.c:200
-msgid "Popup window"
-msgstr ""
-
-#: ../src/interface.c:204
-msgid "Blinking image"
-msgstr ""
-
-#: ../src/interface.c:208
-msgid "<b>Notification</b>"
-msgstr ""
-
-#: ../src/support.c:90 ../src/support.c:114
-#, c-format
-msgid "Couldn't find pixmap file: %s"
-msgstr ""
diff --git a/stamp-h.in b/stamp-h.in
deleted file mode 100644
index 9788f70..0000000
--- a/stamp-h.in
+++ /dev/null
@@ -1 +0,0 @@
-timestamp


More information about the Xfce4-commits mailing list